/*
 * Driver include for the RICOH5B Tuner chip.
 *
 * Copyright 2015, 2016 SONY Corporation
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef  _RICOH5B_FM_DEFINE_H
#define  _RICOH5B_FM_DEFINE_H

/******************************************************************************/
/* object generation control and special settings                             */
/******************************************************************************/
/******************************************************************************/
/* symbolic constant definition                                               */
/******************************************************************************/

/* frequency */
#define FM_50KHZ                       5
#define FM_IMMUNITY_87_6MHZ         8760
#define FM_IMMUNITY_88_1MHZ         8810
#define FM_IMMUNITY_98MHZ           9800
#define FM_IMMUNITY_107_9MHZ       10790
#define FM_BIRDY_BEAT_89_65MHZ      8965
#define FM_BIRDY_BEAT_102_05MHZ    10205
#define FM_BIRDY_BEAT_102_75MHZ    10275
#define FM_BIRDY_BEAT_50KHZ_LOWER   8755

#endif  /* _RICOH5B_FM_DEFINE_H */

/* end of ricoh5b_fm_define.h */
